
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the JUKEPLUGIN_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// JUKEPLUGIN_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef JUKEPLUGIN_EXPORTS
#define JUKEPLUGIN_API __declspec(dllexport)
#else
#define JUKEPLUGIN_API __declspec(dllimport)
#endif

// QUEUE FUNCTIONS

JUKEPLUGIN_API int __stdcall Juke_AddQueue(PCHAR File, int SongTime, int Auto, PCHAR CoverArt, PCHAR Title, PCHAR Artist, PCHAR Album, PCHAR Genre, PCHAR Special);
JUKEPLUGIN_API int __stdcall Juke_QueueClear(int ReSubmit);
JUKEPLUGIN_API int __stdcall Juke_SongSuggestion(PCHAR File);

// STATUS FUNCTIONS

JUKEPLUGIN_API int __stdcall Juke_SongStart(int Value);
JUKEPLUGIN_API int __stdcall Juke_SongEnd(int Skipped);
JUKEPLUGIN_API int __stdcall Juke_SongPlayed(int Seconds);
JUKEPLUGIN_API int __stdcall Juke_SongStatus(int Status);

// APPLICATION INFO

JUKEPLUGIN_API PCHAR __stdcall Juke_GetPluginInfo(int Value);
JUKEPLUGIN_API int __stdcall Juke_Volume(int Value);
JUKEPLUGIN_API int __stdcall Juke_Initialize(int Value);
JUKEPLUGIN_API int __stdcall Juke_Shutdown(int Value);

// COMMANDS (Eg Play, Skip, VolumeUp VolumeDown, Lock, UnLock)

JUKEPLUGIN_API int __stdcall Juke_Command(PCHAR Name, PCHAR Value);

// CREDIT FUNCTIONS

JUKEPLUGIN_API int __stdcall Juke_AddCoin(int Coins);
JUKEPLUGIN_API int __stdcall Juke_PaidCoin(int Coins);

